Bug 1123672 - Gnome-boxes stuck when I select windows 8.1 image
Summary: Gnome-boxes stuck when I select windows 8.1 image
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-boxes
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 22:05 UTC by Mikhail
Modified: 2015-06-29 21:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:48:18 UTC


Attachments (Terms of Use)
screenshot of this hangs (551.22 KB, image/png)
2014-07-27 22:05 UTC, Mikhail
no flags Details

Description Mikhail 2014-07-27 22:05:25 UTC
Created attachment 921547 [details]
screenshot of this hangs

Description of problem:
Gnome-boxes stuck when I select windows 8.1 image

$ rpm -q gnome-boxes
gnome-boxes-3.12.3-1.fc20.x86_64

Backtrace:

(gdb) thread apply all bt

Thread 31685 (Thread 0x7fffb9df7700 (LWP 14422)):
#0  0x00007ffff29189dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffff71ae59a in poll (__timeout=-1, __nfds=2, __fds=0x7fffb9df6640) at /usr/include/bits/poll2.h:46
#2  virNetClientIOEventLoop (client=client@entry=0x7fffc8004b20, thiscall=thiscall@entry=0x7fff6c001410) at rpc/virnetclient.c:1520
#3  0x00007ffff71aed46 in virNetClientIO (thiscall=0x7fff6c001410, client=0x7fffc8004b20) at rpc/virnetclient.c:1792
#4  virNetClientSendInternal (client=client@entry=0x7fffc8004b20, msg=msg@entry=0x7fff6c0013a0, expectReply=expectReply@entry=true, nonBlock=nonBlock@entry=false) at rpc/virnetclient.c:1964
#5  0x00007ffff71b0183 in virNetClientSendWithReply (client=client@entry=0x7fffc8004b20, msg=msg@entry=0x7fff6c0013a0) at rpc/virnetclient.c:1992
#6  0x00007ffff71b0992 in virNetClientProgramCall (prog=prog@entry=0x7fffc8004d30, client=client@entry=0x7fffc8004b20, serial=serial@entry=63152, proc=proc@entry=94, noutfds=noutfds@entry=0, 
    outfds=outfds@entry=0x0, ninfds=ninfds@entry=0x0, infds=infds@entry=0x0, args_filter=args_filter@entry=0x7ffff71a9820 <xdr_remote_storage_vol_delete_args>, args=args@entry=0x7fffb9df6a10, 
    ret_filter=ret_filter@entry=0x7ffff2955270 <__GI_xdr_void>, ret=ret@entry=0x0) at rpc/virnetclientprogram.c:327
#7  0x00007ffff718ae72 in callFull (priv=priv@entry=0x7fffc80045a0, flags=flags@entry=0, fdin=fdin@entry=0x0, fdinlen=fdinlen@entry=0, fdout=fdout@entry=0x0, fdoutlen=fdoutlen@entry=0x0, 
    proc_nr=proc_nr@entry=94, args_filter=0x7ffff71a9820 <xdr_remote_storage_vol_delete_args>, args=args@entry=0x7fffb9df6a10 " ", <incomplete sequence \374>, ret_filter=0x7ffff2955270 <__GI_xdr_void>, 
    ret=ret@entry=0x0, conn=<optimized out>) at remote/remote_driver.c:5789
#8  0x00007ffff718b294 in call (conn=<optimized out>, ret=0x0, ret_filter=<optimized out>, args=0x7fffb9df6a10 " ", <incomplete sequence \374>, args_filter=<optimized out>, proc_nr=94, flags=0, 
    priv=0x7fffc80045a0) at remote/remote_driver.c:5811
#9  remoteStorageVolDelete (vol=0xfc5ad0, flags=0) at remote/remote_client_bodies.h:6220
#10 0x00007ffff716bdcf in virStorageVolDelete (vol=0xfc5ad0, flags=flags@entry=0) at libvirt.c:14938
#11 0x00007ffff755e297 in gvir_storage_vol_delete (vol=0x7fffd0050790, flags=flags@entry=0, err=err@entry=0x7fffb9df6ac0) at libvirt-gobject-storage-vol.c:315
#12 0x0000000000444f02 in ___lambda65_ (_data26_=0xfeb400, _data26_=0xfeb400, error=0x7fffb9df6b20) at /home/zeenix/checkout/gnome/gnome-boxes/src/libvirt-machine.vala:421
#13 ____lambda65__boxes_run_in_thread_func (self=0xfeb400, error=0x7fffb9df6b20) at /home/zeenix/checkout/gnome/gnome-boxes/src/libvirt-machine.vala:403
#14 0x000000000049a72e in __lambda5_ (_data2_=<optimized out>) at /home/zeenix/checkout/gnome/gnome-boxes/src/util.vala:232
#15 ___lambda5__gthread_func (self=0x1f284f0) at util.c:2346
#16 0x00007ffff31e2955 in g_thread_proxy (data=0xeb41e0) at gthread.c:764
#17 0x00007ffff2bf4f33 in start_thread (arg=0x7fffb9df7700) at pthread_create.c:309
#18 0x00007ffff2922ded in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 3782 (Thread 0x7fffd4b7a700 (LWP 8417)):
#0  0x00007ffff29189dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fffec268e6f in poll (__timeout=60000, __nfds=3, __fds=0x7fff94000c30) at /usr/include/bits/poll2.h:46
#2  handle_events (ctx=ctx@entry=0x1275970, tv=tv@entry=0x7fffd4b79ab0) at io.c:2002
#3  0x00007fffec269b83 in libusb_handle_events_timeout_completed (ctx=0x1275970, tv=tv@entry=0x7fffd4b79b00, completed=completed@entry=0x0) at io.c:2174
#4  0x00007fffec269c6f in libusb_handle_events (ctx=<optimized out>) at io.c:2250
#5  0x00007ffff66c4109 in spice_usb_device_manager_usb_ev_thread (user_data=<optimized out>) at usb-device-manager.c:1149
#6  0x00007ffff31e2955 in g_thread_proxy (data=0xfebde0) at gthread.c:764
#7  0x00007ffff2bf4f33 in start_thread (arg=0x7fffd4b7a700) at pthread_create.c:309
#8  0x00007ffff2922ded in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 13 (Thread 0x7fffc5365700 (LWP 3112)):
#0  0x00007ffff29189dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fffec268e6f in poll (__timeout=60000, __nfds=3, __fds=0x7fffcc033dd0) at /usr/include/bits/poll2.h:46
#2  handle_events (ctx=ctx@entry=0x10bbff0, tv=tv@entry=0x7fffc5364ab0) at io.c:2002
#3  0x00007fffec269b83 in libusb_handle_events_timeout_completed (ctx=0x10bbff0, tv=tv@entry=0x7fffc5364b00, completed=completed@entry=0x0) at io.c:2174
#4  0x00007fffec269c6f in libusb_handle_events (ctx=<optimized out>) at io.c:2250
#5  0x00007ffff66c4109 in spice_usb_device_manager_usb_ev_thread (user_data=<optimized out>) at usb-device-manager.c:1149
#6  0x00007ffff31e2955 in g_thread_proxy (data=0xfebd40) at gthread.c:764
#7  0x00007ffff2bf4f33 in start_thread (arg=0x7fffc5365700) at pthread_create.c:309
#8  0x00007ffff2922ded in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 12 (Thread 0x7fffd537b700 (LWP 3111)):
#0  0x00007ffff29189dd in poll () at ../sysdeps/unix/syscall-template.S:81
---Type <return> to continue, or q <return> to quit---
#1  0x00007fffec26f3bc in poll (__timeout=-1, __nfds=2, __fds=0x7fffd537ab20) at /usr/include/bits/poll2.h:46
#2  linux_udev_event_thread_main (arg=<optimized out>) at os/linux_udev.c:176
#3  0x00007ffff2bf4f33 in start_thread (arg=0x7fffd537b700) at pthread_create.c:309
#4  0x00007ffff2922ded in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 7 (Thread 0x7fffc75f1700 (LWP 3085)):
#0  0x00007ffff29189dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffff31bcf14 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7fffb40010c0, timeout=-1, context=0x91e450) at gmain.c:4028
#2  g_main_context_iterate (context=context@entry=0x91e450, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3729
#3  0x00007ffff31bd03c in g_main_context_iteration (context=context@entry=0x91e450, may_block=may_block@entry=1) at gmain.c:3795
#4  0x00007fffc75f930d in dconf_gdbus_worker_thread (user_data=0x91e450) at dconf-gdbus-thread.c:82
#5  0x00007ffff31e2955 in g_thread_proxy (data=0xaabde0) at gthread.c:764
#6  0x00007ffff2bf4f33 in start_thread (arg=0x7fffc75f1700) at pthread_create.c:309
#7  0x00007ffff2922ded in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 6 (Thread 0x7fffc7fff700 (LWP 3080)):
#0  0x00007ffff29189dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffff31bcf14 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fffbc0008c0, timeout=-1, context=0x7fffc0001e30) at gmain.c:4028
#2  g_main_context_iterate (context=context@entry=0x7fffc0001e30, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3729
#3  0x00007ffff31bd03c in g_main_context_iteration (context=0x7fffc0001e30, may_block=may_block@entry=1) at gmain.c:3795
#4  0x00007ffff31bd079 in glib_worker_main (data=<optimized out>) at gmain.c:5541
#5  0x00007ffff31e2955 in g_thread_proxy (data=0x7fffc0002800) at gthread.c:764
#6  0x00007ffff2bf4f33 in start_thread (arg=0x7fffc7fff700) at pthread_create.c:309
#7  0x00007ffff2922ded in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7fffd80ab700 (LWP 3076)):
#0  0x00007ffff29189dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffff31bcf14 in g_main_context_poll (priority=2147483647, n_fds=6, fds=0x7fffd0071e50, timeout=-1, context=0x7e34f0) at gmain.c:4028
#2  g_main_context_iterate (context=0x7e34f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3729
#3  0x00007ffff31bd25a in g_main_loop_run (loop=0x7e3480) at gmain.c:3928
#4  0x00007ffff37d2a46 in gdbus_shared_thread_func (user_data=0x7e34c0) at gdbusprivate.c:273
#5  0x00007ffff31e2955 in g_thread_proxy (data=0x7b6f20) at gthread.c:764
#6  0x00007ffff2bf4f33 in start_thread (arg=0x7fffd80ab700) at pthread_create.c:309
#7  0x00007ffff2922ded in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7ffff7f90b00 (LWP 3071)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffff70ca956 in virCondWait (c=c@entry=0x1280138, m=m@entry=0x7fffc8004b30) at util/virthreadpthread.c:150
#2  0x00007ffff71aee7b in virNetClientIO (thiscall=0x1280120, client=0x7fffc8004b20) at rpc/virnetclient.c:1742
#3  virNetClientSendInternal (client=client@entry=0x7fffc8004b20, msg=msg@entry=0x2381cb0, expectReply=expectReply@entry=true, nonBlock=nonBlock@entry=false) at rpc/virnetclient.c:1964
#4  0x00007ffff71b0183 in virNetClientSendWithReply (client=client@entry=0x7fffc8004b20, msg=msg@entry=0x2381cb0) at rpc/virnetclient.c:1992
#5  0x00007ffff71b0992 in virNetClientProgramCall (prog=prog@entry=0x7fffc8004d30, client=client@entry=0x7fffc8004b20, serial=serial@entry=63153, proc=proc@entry=87, noutfds=noutfds@entry=0, 
    outfds=outfds@entry=0x0, ninfds=ninfds@entry=0x0, infds=infds@entry=0x0, args_filter=args_filter@entry=0x7ffff71a94a0 <xdr_remote_storage_pool_get_info_args>, args=args@entry=0x7fffffffdaf0, 
    ret_filter=ret_filter@entry=0x7ffff71a94c0 <xdr_remote_storage_pool_get_info_ret>, ret=ret@entry=0x7fffffffdb10) at rpc/virnetclientprogram.c:327
#6  0x00007ffff718ae72 in callFull (priv=priv@entry=0x7fffc80045a0, flags=flags@entry=0, fdin=fdin@entry=0x0, fdinlen=fdinlen@entry=0, fdout=fdout@entry=0x0, fdoutlen=fdoutlen@entry=0x0, 
    proc_nr=proc_nr@entry=87, args_filter=0x7ffff71a94a0 <xdr_remote_storage_pool_get_info_args>, args=args@entry=0x7fffffffdaf0 "\260", <incomplete sequence \303>, 
    ret_filter=0x7ffff71a94c0 <xdr_remote_storage_pool_get_info_ret>, ret=ret@entry=0x7fffffffdb10 "", conn=<optimized out>) at remote/remote_driver.c:5789
#7  0x00007ffff7191d14 in call (conn=<optimized out>, ret=0x7fffffffdb10 "", ret_filter=<optimized out>, args=0x7fffffffdaf0 "\260", <incomplete sequence \303>, args_filter=<optimized out>, proc_nr=87, 
    flags=0, priv=0x7fffc80045a0) at remote/remote_driver.c:5811
#8  remoteStoragePoolGetInfo (pool=0x7fffc800c360, result=0x7fffffffdbc0) at remote/remote_client_bodies.h:5802
#9  0x00007ffff716a5ab in virStoragePoolGetInfo (pool=0x7fffc800c360, info=info@entry=0x7fffffffdbc0) at libvirt.c:14157
---Type <return> to continue, or q <return> to quit---
#10 0x00007ffff755f60e in gvir_storage_pool_get_info (pool=0x912040, err=err@entry=0xa27cb0) at libvirt-gobject-storage-pool.c:294
#11 0x0000000000475f11 in boxes_vm_creator_get_storage_pool_co (_data_=0xa27b80) at /home/zeenix/checkout/gnome/gnome-boxes/src/vm-creator.vala:214
#12 0x00000000004763f6 in boxes_vm_creator_get_storage_pool (self=<optimized out>, _callback_=_callback_@entry=0x477710 <boxes_vm_creator_create_domain_name_and_title_from_media_ready>, 
    _user_data_=_user_data_@entry=0x21f7950) at /home/zeenix/checkout/gnome/gnome-boxes/src/vm-creator.vala:6
#13 0x00000000004772a6 in boxes_vm_creator_create_domain_name_and_title_from_media_co (_data_=0x21f7950) at /home/zeenix/checkout/gnome/gnome-boxes/src/vm-creator.vala:360
#14 0x0000000000477706 in boxes_vm_creator_create_domain_name_and_title_from_media (self=<optimized out>, _callback_=_callback_@entry=0x4785c0 <boxes_vm_creator_create_vm_ready>, 
    _user_data_=_user_data_@entry=0x7fec10) at /home/zeenix/checkout/gnome/gnome-boxes/src/vm-creator.vala:6
#15 0x0000000000477ee3 in boxes_vm_creator_create_vm_co (_data_=0x7fec10) at /home/zeenix/checkout/gnome/gnome-boxes/src/vm-creator.vala:44
#16 0x00000000004785b9 in boxes_vm_creator_create_vm (self=<optimized out>, cancellable=<optimized out>, _callback_=_callback_@entry=0x485ac0 <boxes_wizard_do_review_cancellable_ready>, 
    _user_data_=_user_data_@entry=0x2222000) at /home/zeenix/checkout/gnome/gnome-boxes/src/vm-creator.vala:6
#17 0x0000000000483b3f in boxes_wizard_do_review_cancellable_co (_data_=0x2222000) at /home/zeenix/checkout/gnome/gnome-boxes/src/wizard.vala:399
#18 0x0000000000484959 in boxes_wizard_do_review_cancellable (self=<optimized out>, _callback_=_callback_@entry=0x485ab0 <boxes_wizard_review_ready>, _user_data_=_user_data_@entry=0xb008f0)
    at /home/zeenix/checkout/gnome/gnome-boxes/src/wizard.vala:14
#19 0x0000000000484ace in boxes_wizard_review_co (_data_=0xb008f0) at /home/zeenix/checkout/gnome/gnome-boxes/src/wizard.vala:378
#20 0x0000000000484b59 in boxes_wizard_review (self=self@entry=0xa58240, _callback_=_callback_@entry=0x4851d0 <__boxes_wizard_page_____lambda101__gasync_ready_callback>, _user_data_=<optimized out>)
    at /home/zeenix/checkout/gnome/gnome-boxes/src/wizard.vala:14
#21 0x0000000000484ee9 in boxes_wizard_set_page (self=self@entry=0xa58240, value=value@entry=BOXES_WIZARD_PAGE_REVIEW) at /home/zeenix/checkout/gnome/gnome-boxes/src/wizard.vala:98
#22 0x0000000000484c54 in boxes_wizard_skip_page (page=BOXES_WIZARD_PAGE_SETUP, self=0xa58240) at /home/zeenix/checkout/gnome/gnome-boxes/src/wizard.vala:530
#23 boxes_wizard_set_page (self=0xa58240, value=value@entry=BOXES_WIZARD_PAGE_SETUP) at /home/zeenix/checkout/gnome/gnome-boxes/src/wizard.vala:126
#24 0x000000000048531e in boxes_wizard_prepare_media_co (_data_=0x2229cc0) at /home/zeenix/checkout/gnome/gnome-boxes/src/wizard.vala:326
#25 0x00007ffff3769d17 in g_simple_async_result_complete (simple=0x7fff9c0082a0) at gsimpleasyncresult.c:763
#26 0x00007ffff3769d79 in complete_in_idle_cb (data=<optimized out>) at gsimpleasyncresult.c:775
#27 0x00007ffff31bcc3a in g_main_dispatch (context=0x7d26f0) at gmain.c:3064
#28 g_main_context_dispatch (context=context@entry=0x7d26f0) at gmain.c:3663
#29 0x00007ffff31bcf88 in g_main_context_iterate (context=context@entry=0x7d26f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3734
#30 0x00007ffff31bd03c in g_main_context_iteration (context=0x7d26f0, context@entry=0x0, may_block=may_block@entry=1) at gmain.c:3795
#31 0x00007ffff379c894 in g_application_run (application=application@entry=0x7a9100, argc=1, argv=0x7fffffffe038) at gapplication.c:2114
#32 0x0000000000452f49 in _vala_main (args=0x7fffffffe038, args_length1=1) at /home/zeenix/checkout/gnome/gnome-boxes/src/main.vala:84
#33 0x00007ffff284fd65 in __libc_start_main (main=0x42a180 <main>, argc=1, argv=0x7fffffffe038, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffffffe028)
    at libc-start.c:285
#34 0x000000000042a1b5 in _start ()

Comment 1 Fedora End Of Life 2015-05-29 12:29:37 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 21:48:18 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.